Bug 186318 - stagify games/xgalaga
Summary: stagify games/xgalaga
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-01 04:20 UTC by TsurutaniNaoki
Modified: 2014-02-01 20:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.05 KB, patch)
2014-02-01 04:20 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-02-01 04:20:00 UTC
	stagify.
Comment 1 Pawel Pekala freebsd_committer 2014-02-01 19:51:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-01 19:57:03 UTC
Author: pawel
Date: Sat Feb  1 19:56:55 2014
New Revision: 342209
URL: http://svnweb.freebsd.org/changeset/ports/342209
QAT: https://qat.redports.org/buildarchive/r342209/

Log:
  Stage support
  
  PR:		ports/186318
  Submitted by:	maintainer

Modified:
  head/games/xgalaga/Makefile
  head/games/xgalaga/files/patch-aa
  head/games/xgalaga/pkg-plist

Modified: head/games/xgalaga/Makefile
==============================================================================
--- head/games/xgalaga/Makefile	Sat Feb  1 19:35:39 2014	(r342208)
+++ head/games/xgalaga/Makefile	Sat Feb  1 19:56:55 2014	(r342209)
@@ -20,17 +20,13 @@ CONFIGURE_ARGS=	--prefix=${LOCALBASE}/li
 		--mandir=${LOCALBASE}/man \
 		--exec_prefix=${LOCALBASE}/bin
 
-MAN6=		xgalaga.6x
-MANCOMPRESSED=	yes
-
 OPTIONS_DEFINE=	SOUND
 OPTIONS_DEFAULT=	SOUND
 OPTIONS_SUB=	yes
 
 SOUND_CONFIGURE_OFF=	--without-sound
 
-NO_STAGE=	yes
 post-install:
-	@${STRIP_CMD} ${PREFIX}/bin/xgalaga
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/xgalaga
 
 .include <bsd.port.mk>

Modified: head/games/xgalaga/files/patch-aa
==============================================================================
--- head/games/xgalaga/files/patch-aa	Sat Feb  1 19:35:39 2014	(r342208)
+++ head/games/xgalaga/files/patch-aa	Sat Feb  1 19:56:55 2014	(r342209)
@@ -1,5 +1,5 @@
 --- Makefile.in.orig	2008-03-06 06:58:16.000000000 +0900
-+++ Makefile.in	2012-04-23 23:27:39.000000000 +0900
++++ Makefile.in	2014-02-01 11:53:20.000000000 +0900
 @@ -15,9 +15,9 @@
  bindir = $(exec_prefix)
  libdir = $(prefix)/lib
@@ -13,6 +13,17 @@
  distversion = 2.1.1.0
  
  @SET_MAKE@
+@@ -65,8 +65,8 @@
+ 	for i in levels/*.xgl; do $(INSTALL) $$i $(DESTDIR)$(prefix)/$$i ; done
+ 	for i in sounds/*.raw; do $(INSTALL) $$i $(DESTDIR)$(prefix)/$$i ; done
+ 	$(INSTALL) CREDITS $(DESTDIR)$(creditsfile)
+-	$(INSTALL) xgalaga.6x.gz $(mandir)/man6/xgalaga.6x.gz
+-	chmod 644 $(mandir)/man6/xgalaga.6x.gz
++	$(INSTALL) xgalaga.6x.gz $(DESTDIR)$(mandir)/man6/xgalaga.6x.gz
++#	chmod 644 $(mandir)/man6/xgalaga.6x.gz
+ #	touch $(prefix)/scores
+ #	chmod 666 $(prefix)/scores
+ #       chown ${GAMEOWN}:${GAMEGRP} $(prefix)/scores
 @@ -74,14 +74,14 @@
  #       chmod ${GAMEMODE} $(bindir)/$(TARGET)
  #       chmod ${GAMEDATAMODE} $(prefix)/scores

Modified: head/games/xgalaga/pkg-plist
==============================================================================
--- head/games/xgalaga/pkg-plist	Sat Feb  1 19:35:39 2014	(r342208)
+++ head/games/xgalaga/pkg-plist	Sat Feb  1 19:56:55 2014	(r342209)
@@ -25,6 +25,7 @@ lib/X11/xgalaga/levels/level13.xgl
 lib/X11/xgalaga/levels/level14.xgl
 lib/X11/xgalaga/levels/level15.xgl
 lib/X11/xgalaga/CREDITS
+man/man6/xgalaga.6x.gz
 @dirrm lib/X11/xgalaga/levels
 @dirrm lib/X11/xgalaga/sounds
 @dirrm lib/X11/xgalaga
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2014-02-01 19:57:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!